[BACK]Return to Makefile CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / misc / yelp

Please note that diffs are not public domain; they are subject to the copyright notices on the relevant files.

Diff for /pkgsrc/misc/yelp/Attic/Makefile between version 1.31 and 1.56

version 1.31, 2005/06/01 18:03:05 version 1.56, 2006/08/10 15:27:07
Line 1 
Line 1 
 # $NetBSD$  # $NetBSD$
 #  #
   
 DISTNAME=               yelp-2.10.0  DISTNAME=               yelp-2.14.3
   PKGREVISION=            1
 CATEGORIES=             misc  CATEGORIES=             misc
 MASTER_SITES=           ${MASTER_SITE_GNOME:=sources/yelp/2.10/}  MASTER_SITES=           ${MASTER_SITE_GNOME:=sources/yelp/2.14/}
 EXTRACT_SUFX=           .tar.bz2  EXTRACT_SUFX=           .tar.bz2
   
 MAINTAINER=             tech-pkg@NetBSD.org  MAINTAINER=             pkgsrc-users@NetBSD.org
 HOMEPAGE=               http://www.gnome.org/  HOMEPAGE=               http://www.gnome.org/
 COMMENT=                Help browser for GNOME 2 desktop  COMMENT=                Help browser for GNOME 2 desktop
   
 DEPENDS+=               docbook>=4.2:../../textproc/docbook  DEPENDS+=               docbook>=4.2:../../textproc/docbook
 BUILD_USES_MSGFMT=      yes  
   
 BUILDLINK_DEPENDS.libxslt+=     libxslt>=1.1.4  BUILDLINK_API_DEPENDS.libxslt+= libxslt>=1.1.4
   
 USE_DIRS+=              gnome2-1.5  USE_DIRS+=              gnome2-1.5
 USE_TOOLS+=             gmake  USE_TOOLS+=             gmake intltool msgfmt pkg-config
 USE_LIBTOOL=            yes  USE_LIBTOOL=            yes
 USE_PKGLOCALEDIR=       yes  USE_PKGLOCALEDIR=       yes
 GNU_CONFIGURE=          yes  GNU_CONFIGURE=          yes
   USE_LANGUAGES=          c c++
   
 CONFIGURE_ARGS+=        --with-html-widget=gtkhtml2  CONFIGURE_ARGS+=        --with-html-widget=gtkhtml2
   
 .include "../../mk/bsd.prefs.mk"  GCONF2_SCHEMAS=         yelp.schemas
   
   PKG_OPTIONS_VAR=        PKG_OPTIONS.yelp
   .include "../../www/mozilla/gecko-options.mk"
   .include "../../mk/bsd.options.mk"
   
   .if !empty(PKG_OPTIONS:Mfirefox)
   # Require a version that has the .pc files in it.
   BUILDLINK_API_DEPENDS.firefox+=     firefox>=1.5nb2
   .endif
   
   BUILDLINK_DEPMETHOD.gnome-doc-utils+=   run
   
 .include "../../archivers/bzip2/buildlink3.mk"  .include "../../archivers/bzip2/buildlink3.mk"
 .include "../../devel/GConf2/buildlink3.mk"  .include "../../devel/GConf2/schemas.mk"
 .include "../../devel/gettext-lib/buildlink3.mk"  .include "../../devel/gettext-lib/buildlink3.mk"
 .include "../../devel/glib2/buildlink3.mk"  .include "../../devel/glib2/buildlink3.mk"
 .include "../../devel/libbonobo/buildlink3.mk"  .include "../../devel/libbonobo/buildlink3.mk"
 .include "../../devel/libglade2/buildlink3.mk"  .include "../../devel/libglade2/buildlink3.mk"
 .include "../../devel/libgnome/buildlink3.mk"  .include "../../devel/libgnome/buildlink3.mk"
 .include "../../devel/libgnomeui/buildlink3.mk"  .include "../../devel/libgnomeui/buildlink3.mk"
 .include "../../devel/pkgconfig/buildlink3.mk"  
 .include "../../devel/zlib/buildlink3.mk"  .include "../../devel/zlib/buildlink3.mk"
   .include "../../graphics/hicolor-icon-theme/buildlink3.mk"
 .include "../../net/ORBit2/buildlink3.mk"  .include "../../net/ORBit2/buildlink3.mk"
   .include "../../print/libgnomeprint/buildlink3.mk"
   .include "../../print/libgnomeprintui/buildlink3.mk"
 .include "../../sysutils/gnome-vfs2/buildlink3.mk"  .include "../../sysutils/gnome-vfs2/buildlink3.mk"
 .include "../../textproc/intltool/buildlink3.mk"  .include "../../textproc/libxml2/buildlink3.mk"
 .include "../../textproc/libxslt/buildlink3.mk"  .include "../../textproc/libxslt/buildlink3.mk"
 .include "../../textproc/gnome-doc-utils/buildlink3.mk"  .include "../../textproc/gnome-doc-utils/buildlink3.mk"
 .include "../../textproc/scrollkeeper/omf.mk"  .include "../../textproc/scrollkeeper/omf.mk"
 .include "../../www/libgtkhtml/buildlink3.mk"  .include "../../www/mozilla/gecko-depends.mk"
 .if ${GECKO_PROVIDER} == "firefox"  .include "../../x11/gtk2/buildlink3.mk"
 # firefox didn't have a pkgconfig file before 1.0.4  .include "../../x11/startup-notification/buildlink3.mk"
 BUILDLINK_DEPENDS.firefox+= firefox>=1.0.4  
 .include "../../www/firefox/buildlink3.mk"  
 .else  
 .include "../../www/mozilla-gtk2/buildlink3.mk"  
 .endif  
   
 .include "../../mk/bsd.pkg.mk"  .include "../../mk/bsd.pkg.mk"

Legend:
Removed from v.1.31  
changed lines
  Added in v.1.56

CVSweb <webmaster@jp.NetBSD.org>